<?php

class NetworkSettingsForm extends PhonalisaRecord
{
    public $ip;
    public $subnetMask;
    
    public static function myAttributes()
    {
        return array(
            'ip' => 'ip',
            'subnetMask' => 'subnetMask',
        );
    }

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function rules()
    {
        return array(
            array(
                'ip,
                subnetMask',
                'required',
            ),
        );
    }
    
    public function attributeLabels()
    {
        return array(
            'ip' => __("WIZARD_IP"),
            'subnetMask' => __('WIZARD_SUBNET'),
        );
    }
}
